/*  
 *	WRay_Document.h
 *
 *	QuickDraw 3D 1.6 Sample
 *	Robert Dierkes
 *
 *	 07/28/98	RDD		Created.
 */

#ifndef _HWRay_Document
#define _HWRay_Document


#ifdef __cplusplus
extern "C" {
#endif

#include <QuickTimeComponents.h>

#include "QD3D.h"


/*------------------*/
/*	  Constants		*/
/*------------------*/


/*----------------------*/
/*   Type Definitions	*/
/*----------------------*/


/*
 * TDocument
 */
typedef struct TDocument {
	WindowPtr			fWindow;		/* document's window						*/

	TQ3ViewObject		fView;			/* the view for the scene					*/
	TQ3GroupObject		fModel;			/* object in the scene being modelled		*/
	TQ3Matrix4x4		fMatrix;

} TDocumentRec_;

typedef TDocumentRec_ TDocument, *TDocumentPtr;


TQ3Boolean	Document_Initialize(
	TDocumentPtr			pDocument);

TQ3Boolean	Document_Exit(
	TDocumentPtr			pDocument);

TQ3Status	Document_Draw(
	TDocumentPtr			pDocument);

TQ3Status	Document_Submit_Objects(
	TDocumentPtr			pDocument,
	TQ3ViewObject			view);

TQ3Status	Document_UpdateCameraAspectRatio (
	TDocumentPtr			pDocument,
	Rect					*pPortRect);

TQ3Status	Document_UpdateCamera (
	TDocumentPtr			pDocument);

TQ3Status	Document_GetMaximumDimension(
	TDocumentPtr			pDocument,
	float					*pMaxDimension,
	TQ3BoundingBox			*pReturnedBoundingBox);

TQ3Status	Document_BoundingBox(
	TDocumentPtr			pDocument,
	TQ3BoundingBox			*pBoundingBox);

#ifdef __cplusplus
}
#endif


#endif /* _HWRay_Document */
