/*  
 *	WRay_Scene.h
 *
 *	QuickDraw 3D 1.6 Sample
 *	Robert Dierkes
 *
 *	 07/28/98	RDD		Created.
 */

#ifndef _HWRay_Scene
#define _HWRay_Scene


#ifdef __cplusplus
extern "C" {
#endif

#include <Windows.h>
#include "QD3D.h"


/*------------------*/
/*	  Constants		*/
/*------------------*/
#define	kDefaultHither			0.001
#define	kDefaultYon				1000.0
#define	kDefaultFieldOfView		0.45

#define	kCylRadius				1.5f

typedef enum {
	kRotateSlow,
	kRotateMedium,
	kRotateFast	

} TRotationSpeed;


/*--------------*/
/*	Prototypes	*/
/*--------------*/
TQ3ViewObject Scene_NewView(
	WindowPtr		pWindow);

TQ3GroupObject Scene_NewModel(
	void);

TQ3Boolean Scene_IsRotating(
	void);

TQ3Boolean Scene_SetIsRotating(
	TQ3Boolean		newIsRotating);

TRotationSpeed Scene_GetRotationSpeed(
	void);

TQ3Boolean Scene_SetRotationSpeed(
	TRotationSpeed	newRotationSpeed);

TQ3Status Scene_Rotate(
	void);

TQ3Boolean Scene_GetShowLines(
	void);

TQ3Boolean Scene_SetShowLines(
	TQ3Boolean	newShowLines);


#ifdef __cplusplus
}
#endif

#endif /* _HWRay_Scene */
