/*  
 *	WRay_System.h
 *
 *	QuickDraw 3D 1.6 Sample
 *	Robert Dierkes
 *
 *	 07/28/98	RDD		Created.
 */

#ifndef _HWRay_System
#define _HWRay_System


#ifdef __cplusplus
extern "C" {
#endif


/*------------------*/
/*	  Constants		*/
/*------------------*/
#define	kSpaceKeyCode		((char) 0x31)
#define	kCommandKeyCode		((char) 0x37)
#define	kShiftKeyCode		((char) 0x38)
#define	kCapsLockKeyCode	((char) 0x39)
#define	kOptionKeyCode		((char) 0x3A)
#define	kControlKeyCode		((char) 0x3B)


#define	kEnterAscii			((char) 0x03)
#define	kDeleteAscii		((char) 0x08)
#define	kTabAscii			((char) 0x09)
#define	kReturnAscii		((char) 0x0D)
#define	kEscapeAscii		((char) 0x1B)

#define	kLeftArrowAscii		((char) 0x1C)
#define	kRightArrowAscii	((char) 0x1D)
#define	kDownArrowAscii		((char) 0x1E)
#define	kUpArrowAscii		((char) 0x1F)

#define	kSpaceAscii			((char) 0x20)
#define	kPeriodAscii		((char) 0x2E)
#define	kDigit0Ascii		((char) '0')
#define	kDigit9Ascii		((char) '9')


/*------------------*/
/*		Macros		*/
/*------------------*/
#define	kQD3DGestaltVersion_1_6_0	0x00010600


TQ3Boolean QuickDraw3D_Initialize(
	void);

TQ3Boolean QuickDraw3D_Exit(
	void);

Boolean System_IsKeyPressed (
	unsigned short	keyCode);

void System_Beep (
	void);

TQ3Boolean System_GetSound (
	void);

void System_SetSound (
	TQ3Boolean	newState);

void System_Sound (
	void);

float System_RandomFloat(
			void);


#ifdef __cplusplus
}
#endif

#endif /* _HWRay_System */
